> For the complete documentation index, see [llms.txt](https://docs.convai.com/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/features/long-term-memory.md).

# 长期记忆

长期记忆（LTM）可让 Convai 角色在不同会话之间保留关于特定玩家的事实。在 Convai Unreal Engine 插件中，当角色启用了 LTM 且聊天机器人发送一个稳定的 `EndUserID` 在连接时。

<table data-view="cards"><thead><tr><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><strong>长期记忆的工作原理</strong><br>了解 LTM 存储什么、玩家身份如何限定记忆范围，以及你的项目必须在会话之间持久保存什么。</td><td><a href="/pages/9df4cda7b4a29ebef0a84953231ee1b61e2d4c9f">/pages/9df4cda7b4a29ebef0a84953231ee1b61e2d4c9f</a></td></tr><tr><td><strong>长期记忆快速入门</strong><br>为一个角色启用记忆，分配一个稳定的玩家身份，并在编辑器中运行时验证跨会话回忆。</td><td><a href="/pages/ce3e385378b893a9b53a3930b98101901dc9d6d8">/pages/ce3e385378b893a9b53a3930b98101901dc9d6d8</a></td></tr><tr><td><strong>为角色配置记忆</strong><br>启用或确认角色的 LTM 设置，并在需要时重置本地对话链接。</td><td><a href="/pages/02906b279025410eed0c91dd64f1012b0304b626">/pages/02906b279025410eed0c91dd64f1012b0304b626</a></td></tr><tr><td><strong>终端用户身份</strong><br>在 `StartSession` 之前选择并分配一个稳定的 `EndUserID`，这样记忆就会始终限定到正确的玩家。</td><td><a href="/pages/49e163546e7059153712733c44aa93aee597bbbe">/pages/49e163546e7059153712733c44aa93aee597bbbe</a></td></tr><tr><td><strong>说话者 ID 管理</strong><br>当你的项目使用 Speaker ID 工作流时，可通过 Blueprint 节点创建、列出和删除 Speaker ID 记录。</td><td><a href="/pages/490cd1c53fd291cb3dcb57f385b0eee013c3ae74">/pages/490cd1c53fd291cb3dcb57f385b0eee013c3ae74</a></td></tr><tr><td><strong>LTM Blueprint 参考</strong><br>运行时 `Convai|LTM` Blueprint 节点、`FConvaiSpeakerInfo` 以及两个 Convai 组件上的记忆属性参考。</td><td><a href="/pages/d52ddbffaafeb3f6c5f97016d40633bc7ea09f16">/pages/d52ddbffaafeb3f6c5f97016d40633bc7ea09f16</a></td></tr><tr><td><strong>长期记忆使用示例</strong><br>面向回访用户、共享设备、账号支持的身份以及全新开始重置的以 Blueprint 为主的模式。</td><td><a href="/pages/fe714c4b4449c797215a2b49fe82fef8879c959a">/pages/fe714c4b4449c797215a2b49fe82fef8879c959a</a></td></tr><tr><td><strong>长期记忆故障排除</strong><br>诊断已禁用的记忆、身份不匹配、Speaker ID 失败以及重新开始的会话。</td><td><a href="/pages/1207dad324341231dae358387602c84854559b9c">/pages/1207dad324341231dae358387602c84854559b9c</a></td></tr></tbody></table>

### 下一步

从以下开始 [长期记忆的工作原理](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/features/long-term-memory/how-long-term-memory-works.md) 用于理解心智模型，然后按照以下步骤进行 [长期记忆快速入门](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/features/long-term-memory/long-term-memory-quick-start.md) 以便让你的关卡中的记忆运行起来。

{% content-ref url="/pages/9df4cda7b4a29ebef0a84953231ee1b61e2d4c9f" %}
[长期记忆的工作原理](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/features/long-term-memory/how-long-term-memory-works.md)
{% endcontent-ref %}

{% content-ref url="/pages/ce3e385378b893a9b53a3930b98101901dc9d6d8" %}
[长期记忆快速入门](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/features/long-term-memory/long-term-memory-quick-start.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/features/long-term-memory.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
